// The code in this file and the files using this file is partially taken from
// https://stackoverflow.com/questions/46487255/pass-observable-data-from-parent-component-to-a-child-component-created-with-com
import { Injectable } from '@angular/core';
import { Subject, Observable } from 'rxjs';
import { IFrequency } from 'app/shared/model/frequency.model';

@Injectable()
export class MessageService {
  filterSelection$: Observable<IFrequency<string>>;
  private filterSelectionSubject: Subject<IFrequency<string>> = new Subject<IFrequency<string>>();

  constructor() {
    this.filterSelection$ = this.filterSelectionSubject.asObservable();
  }

  public updateFilterSelection(newSelection: IFrequency<string>): void {
    this.filterSelectionSubject.next(newSelection);
  }
}
